Migración de 2.8 a 3.4

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
marcelo
Member II

Migración de 2.8 a 3.4

Saludos

Por favor necesito ayuda.
Estoy realizando la migración de alfresco versión 2.8 a la version alfresco 3.4 he realizado lo siguientes pasos:

1 Copie el directorio alf_data
2. copie la base de datos realizada en Mysql
3. Copie los archivos de aspectos que utilizaba
4 Instale Alfresco 3.4 en un servidor nuevo.
5. reemplaze el directorio alf_data en la instalación nueva
6. Restaure la base de datos
7 Arranque ALfresco


Luego de estos pasos Pum no funciono y me salio los siguientes errores

1. en el catalina. out :  org.alfresco.wcm.client.util.impl.GuestSessionFactoryImpl - WQS unable to connect to repository: No Encontrado
2 en alfresco .logSmiley Frustratedchema auto-update failed
org.alfresco.error.AlfrescoRuntimeException: 07010000 A previous schema upgrade failed or was not completed.  Revert to the original database before attempting the upgrade agai$

Por favor necesito ayuda, estoy haciendo algo mal?.

Ya he realziado algunas cosas como borrar la tabla alf_bootstrap_lock  y reiniciar y nada

Por favor su ayuda

Gracias
24 Replies
cristinamr
Intermediate

Re: Migración de 2.8 a 3.4

Buenos días.

¿Has seguido los pasos para realizar el upgrade?

A parte pones que migras desde una 2.8, y creo que es una 2.2.8 (no me suena que exista una 2.8 ). Igualmente, ojea la tabla y mira cuales son los pasos que debes dar porque no puedes actualizar de golpe de la 2.2.x a una 3.4 ten en cuenta que hay muchas tablas de cambian, y por ejemplo, un gran cambio entre una 3.1 a una 3.2 en la estructura. 

Un saludo.
marcelo
Member II

Re: Migración de 2.8 a 3.4

Gracias por la pronta respuesta, la verdad si hice lo que dice en la tabla segun el Target: Version 3.4

Ahora, el cambio de estructura significa que hay manera de cambiar un archivo para que al arrancar Alfresco cambie las configuraciones de la estrucutra de los datos?
o que debería hacer?

Gracias
cristinamr
Intermediate

Re: Migración de 2.8 a 3.4

Nop, eso lo hace solo a medida que vas subiendo la version.¿Podrias decirme los pasos quedistes?
marcelo
Member II

Re: Migración de 2.8 a 3.4

Son estos los pasos:

1 Respalde el directorio alf_data a un espacio temporal, unicamente los siguientes archivos
•audit.contentstore
•contentstore
•contentstore.deleted
•lucene-indexes
no respalde el oouser y el backup-lucenen-index
2. Respalde la base de datos en Mysql con mysqldump
3. Instale la versión 3.4 en centos 5.5 con mysql y funciono correctamente
4 Pare Alfresco 3.4
5. Borre el contenido del alf_data del servidor de Alfresco 3.4 y lo reemplze con los archivos que respalde en el paso 1
6. Inicie mysql y restaure la base que respalde en el paso 2
7. copie los archivos de aspectos que tenia en opt/alfresco/tomcat/shares/classes/alfresco/extencion
8. Arranque ALfresco

Gracias por la ayuda
cristinamr
Intermediate

Re: Migración de 2.8 a 3.4

He visto que hay varios tickets en el JIRA reportando errores diversos y recomiendan subir a una 3,4 SP 2 como mínimo. ¿Estás con community o Enterprise?

También puedo asegurarte porque lo probé personalmente que si logras subirlo a una 3,3 (con los pasos intermedios) de un 3,3 a una 3,3 funciona a la primera.

 2.2 SP8; 3.1 SP2; 3.2 SP1; 3.3   –>   3.3 SP1 


Link.

Un saludo.
marcelo
Member II

Re: Migración de 2.8 a 3.4

Creo que entendi, primero subo a una versión 3.3 y luego a una 3.4 verdad?
Estoy con la versión comunity.
cristinamr
Intermediate

Re: Migración de 2.8 a 3.4

¿Mi recomendación? Instalate uba 2.2.8 de cero. Subela segun los pasos marcados y si todo va bien adrlante con la prue real! Smiley Very Happy Si quieres mañana desde las 9.30 hasta las 14.30 (hora española) te podria echar un cable por gmail Smiley Wink

Un saludo!
marcelo
Member II

Re: Migración de 2.8 a 3.4

Gracias por la ayuda

Acabo de subirlo a la 3.2 y funciono bien, pero aun asi NO funciona en la 3.4d, de lo que veo tendría que subir a la 3.3g, y luego probar con la 3.4 d, estoy en lo correcto?
cristinamr
Intermediate

Re: Migración de 2.8 a 3.4

Gracias por la ayuda

Acabo de subirlo a la 3.2 y funciono bien, pero aun asi NO funciona en la 3.4d, de lo que veo tendría que subir a la 3.3g, y luego probar con la 3.4 d, estoy en lo correcto?

Yo en mi local probé 3.2-> 3.3-> 3.4 y me funcionó. Prueba, a priori no deberías tener problemas =)

Un saludo.